"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTextSearchSchemaType = (required = false, index = false) => {
    return {
        type: String,
        required,
        index: index ? exports.createTextSearchIndex() : false,
    };
};
exports.declareSchemaTextSearchIndex = (schema, field, language) => {
    schema.index({
        [field]: exports.createTextSearchIndex(),
    }, {
        default_language: language,
    });
};
exports.createTextSearchIndex = () => {
    return 'text';
};
